package com.zcloud.mapper.dsno3.curriculum;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：课程管理
 * 作者：luoxiaobao
 * 时间：2021-07-03
 * 官网：www.zcloudchina.com
 */
public interface CurriculumMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);
	
	/**启用禁用
	 * @param pd
	 * @throws Exception
	 */
	void editState(PageData pd);
	
	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**我的课程（获取当前用户的所属课程）
	 * @param page
	 * @throws Exception
	 */
	List<PageData> pageDataByUserlistPage(Page page);

	/**学员课程列表（查询课程信息及可想关联的学员统计）
	 * @param page
	 * @throws Exception
	 */
	List<PageData> listSummarylistPage(Page page);

    PageData findByRemoteId(PageData pd);
}

